/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

/*
  Copyright (C) 2005 İsmail Dönmez <ismail@kde.org>
*/

#ifndef BLOWFISH_H
#define BLOWFISH_H


class Server;

class TQString;
class TQCString;


namespace Konversation
{

    int findOccurrence(const TQCString& input, const TQCString& separator, int nth);
    void decrypt(const TQString& recipient, TQCString& cipher, Server* server);
    void decryptTopic(const TQString& recipient, TQCString& cipher, Server* server);
    bool encrypt(const TQString& key, TQCString& cipher);
}
#endif
